import 'package:flutter/widgets.dart';
import 'package:flutter_svg/flutter_svg.dart';

class MapsTurnBack extends StatelessWidget {
  final Color? color;
  final double? width;
  final double? height;

  const MapsTurnBack({Key? key, this.color, this.width, this.height})
      : super(key: key);

  @override
  Widget build(BuildContext context) => SvgPicture.string(
        '''
<svg width="24" height="24" stroke-width="1.5" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
<path d="M4.36463 19.787L11.6678 13.2953C11.8573 13.1269 12.1427 13.1269 12.3322 13.2953L19.6354 19.787C20.0155 20.1249 19.707 20.7486 19.2078 20.6515L12.0954 19.2686C12.0324 19.2563 11.9676 19.2563 11.9046 19.2686L4.79225 20.6515C4.29295 20.7486 3.98446 20.1249 4.36463 19.787Z" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M5.5 11C5.5 7.5 5.5 6 5.5 6V6C5.5 6 5.5 2.5 8.5 2.5C12 2.5 12 6 12 6V10.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
<path d="M9 7.5C7.63317 8.86683 6.86683 9.63317 5.5 11C4.13317 9.63317 3.36683 8.86683 2 7.5" stroke="currentColor" stroke-linecap="round" stroke-linejoin="round"/>
</svg>
''',
        color: color,
        width: width,
        height: height,
      );
}
